# FoundationClasses
TKernel
OSD

# OSD_Error Class Reference

Management of OSD errors
.

`#include <OSD_Error.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | OSD_Error ()
| Initializes Error to be without any Error. This is only used by OSD, not by programmer. .
Standard_EXPORT void | Perror ()
| Raises OSD_Error with accurate error message. .
Standard_EXPORT void | SetValue (const Standard_Integer Errcode, const Standard_Integer From, const TCollection_AsciiString &Message)
| Instantiates error This is only used by OSD methods to instantiates an error code. No description is done for the programmer. .
Standard_EXPORT Standard_Integer | Error () const
| Returns an accurate error code. To test these values, you must include "OSD_ErrorList.hxx" .
Standard_EXPORT Standard_Boolean | Failed () const
| Returns TRUE if an error occurs This is a way to test if a system call succeeded or not. .
Standard_EXPORT void | Reset ()
| Resets error counter to zero This allows the user to ignore an error (WARNING). .

## Private Attributes

TCollection_AsciiString | myMessage
Standard_Integer | myErrno
OSD_WhoAmI | myCode
Standard_Integer | extCode

## Constructor & Destructor Documentation

Standard_EXPORT OSD_Error::OSD_Error | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer OSD_Error::Error | ( |  | ) | const

Standard_EXPORT Standard_Boolean OSD_Error::Failed | ( |  | ) | const

void OSD_Error::operator delete | ( | void * | anAddress | ) | `[inline]`

void* OSD_Error::operator new | ( | size_t | size | ) | `[inline]`

void* OSD_Error::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void OSD_Error::Perror | ( |  | ) |

Standard_EXPORT void OSD_Error::Reset | ( |  | ) |

Standard_EXPORT void OSD_Error::SetValue | ( | const Standard_Integer | Errcode,
|  | const Standard_Integer | From,
|  | const TCollection_AsciiString & | Message
| ) |

## Field Documentation

Standard_Integer OSD_Error::extCode `[private]`

OSD_WhoAmI OSD_Error::myCode `[private]`

Standard_Integer OSD_Error::myErrno `[private]`

TCollection_AsciiString OSD_Error::myMessage `[private]`

The documentation for this class was generated from the following file:

- OSD_Error.hxx